Skip to main content
POST
/
models
/
custom
Register Custom Model
curl --request POST \
  --url https://api.opper.ai/v2/models/custom \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "identifier": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "identifier": "<string>",
  "provider": "<string>",
  "type": "llm",
  "extra": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

The name of the custom language model

Required string length: 1 - 255
identifier
string
required

The identifier of the custom language model (e.g. openai/gpt-4o, azure/gpt-5)

Required string length: 1 - 255
provider
string | null

Provider name (auto-detected from identifier if not specified)

type
string | null
default:llm

Model type: 'llm' (default), 'embedding', or 'image'

extra
Extra · object

Provider-specific configuration (e.g. api_base, api_version, region)

api_key
string | null

The API key or credentials for the model

Response

Successful Response

id
string<uuid>
required

The ID of the custom language model

name
string
required

The name of the custom language model

identifier
string
required

The identifier of the custom language model

provider
string | null

Provider name

type
string | null
default:llm

Model type: llm, embedding, or image

extra
Extra · object

Provider-specific configuration